import request from '@/utils/request'

// 查询打卡记录列表
export function listCheckin(query) {
  return request({
    url: '/sfa/checkin/list',
    method: 'get',
    params: query
  })
}
export function dbListCheckin(data) {
  return request({
    url: '/sfa/checkin/dbList',
    method: 'post',
    data: data
  })
}
// 查询打卡记录详细
export function getCheckin(checkinId) {
  return request({
    url: '/sfa/checkin/' + checkinId,
    method: 'get'
  })
}

// 新增打卡记录
export function addCheckin(data) {
  return request({
    url: '/sfa/checkin',
    method: 'post',
    data: data
  })
}

// 修改打卡记录
export function updateCheckin(data) {
  return request({
    url: '/sfa/checkin',
    method: 'put',
    data: data
  })
}

// 删除打卡记录
export function delCheckin(checkinId) {
  return request({
    url: '/sfa/checkin/' + checkinId,
    method: 'delete'
  })
}
